<?php
require'f_forumm.php';
$titlu='Editeaza postare '.$pid;
require'f_sus.php';
require'f_mut.php';
if($_SERVER['REQUEST_TIME']<$pinfo[5]+15*60&&$pinfo[1]==$de||$perm>0)
{
require'f_blocat.php';
if(!blocat($pmtext))
{
if($conn->query('UPDATE`forum_postari`SET`text`="'.$pmtext.'"WHERE`id`="'.$pid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Postări",`de`="'.$de.'",`text`="a editat postarea cu numărul '.$pid.' din topicul '.$tnume.' din forumul '.$fnume.'[br/]Illocuind textul:[br/]'.$pinfo[3].'[br/]Cu textul:[br/]'.$pmtext.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$pinfo[1])
{
require'f_notificare.php';
notificare('am editat postarea ta '.$pid.', înlocuind textul:[br/]'.$pinfo[3].'[br/]Cu textul:'.$pmtext.'Postare din topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).'/tip/'.$pid.']'.$tinfo[3].'[/url].',$pinfo[1],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Postare editată cu succes!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
$tip='textul postării '.$pid;
$text=$pmtext;
require'f_ban.php';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Postarea nu este a ta, sau nu ai permisiuni de editare asupra ei!';
echo$div[0];
require'f_jos.php';